Bug 148704

Summary: Reset the status label when the media is playable
Product: WebKit Reporter: Alexey Proskuryakov <ap>
Component: MediaAssignee: Dean Jackson <dino>
Status: RESOLVED FIXED    
Severity: Normal CC: dino, eric.carlson, jer.noble, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=148656
Attachments:
Description Flags
Patch eric.carlson: review+

Description Alexey Proskuryakov 2015-09-01 22:30:13 PDT
The new test media/controls/statusDisplay.html is flaky, at least on Mavericks:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=media%2Fcontrols%2FstatusDisplay.html

@@ -6,6 +6,6 @@
 EVENT(canplaythrough)
 EXPECTED (statusDisplayInfo.name == 'Status Display') OK
 EXPECTED (statusDisplayInfo.className == 'hidden') OK
-EXPECTED (statusDisplayInfo.content == '') OK
+EXPECTED (statusDisplayInfo.content == ''), OBSERVED 'Loading' FAIL
Comment 1 Dean Jackson 2015-09-02 11:16:15 PDT
Hmmm... this might be an actual bug caught by the new test.

Maybe the status label isn't getting reset?
Comment 2 Radar WebKit Bug Importer 2015-09-02 11:17:48 PDT
<rdar://problem/22541939>
Comment 3 Dean Jackson 2015-09-02 13:08:36 PDT
Created attachment 260430 [details]
Patch
Comment 4 Alexey Proskuryakov 2015-09-02 19:43:09 PDT
Comment on attachment 260430 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=260430&action=review

> Source/WebCore/ChangeLog:9
> +        Flakiness on the bots uncovered a situation where we

Yay!
Comment 5 Alexey Proskuryakov 2015-09-03 19:40:19 PDT
Dean committed the fix in <http://trac.webkit.org/changeset/189262>, and I can confirm that the test isn't flaky any more.